clan::PropertyHash Class Reference - ClanLib SDK
Description: clan::PropertyHash Class Reference

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
clan::PropertyHash Class Reference

`#include <property_hash.h>`

## Public Member Functions
| PropertyHash (const char *property_name)
| PropertyHash (const std::string &property_name)
PropertyHash & | append (const char *text)
PropertyHash & | append_index (int value)
bool | operator!= (const PropertyHash &that) const
bool | operator< (const PropertyHash &that) const
bool | operator<= (const PropertyHash &that) const
bool | operator== (const PropertyHash &that) const

## Public Attributes
unsigned int | hash

## Static Public Attributes
static PropertyHash | hash__clan_font_rendering
static PropertyHash | hash_align_content
static PropertyHash | hash_align_items
static PropertyHash | hash_align_self
static PropertyHash | hash_background_attachment
static PropertyHash | hash_background_clip
static PropertyHash | hash_background_color
static PropertyHash | hash_background_image
static PropertyHash | hash_background_origin
static PropertyHash | hash_background_position
static PropertyHash | hash_background_position_x
static PropertyHash | hash_background_position_y
static PropertyHash | hash_background_repeat
static PropertyHash | hash_background_repeat_x
static PropertyHash | hash_background_repeat_y
static PropertyHash | hash_background_size
static PropertyHash | hash_background_size_x
static PropertyHash | hash_background_size_y
static PropertyHash | hash_border_bottom_color
static PropertyHash | hash_border_bottom_left_radius_x
static PropertyHash | hash_border_bottom_left_radius_y
static PropertyHash | hash_border_bottom_right_radius_x
static PropertyHash | hash_border_bottom_right_radius_y
static PropertyHash | hash_border_bottom_style
static PropertyHash | hash_border_bottom_width
static PropertyHash | hash_border_image_outset_bottom
static PropertyHash | hash_border_image_outset_left
static PropertyHash | hash_border_image_outset_right
static PropertyHash | hash_border_image_outset_top
static PropertyHash | hash_border_image_repeat_x
static PropertyHash | hash_border_image_repeat_y
static PropertyHash | hash_border_image_slice_bottom
static PropertyHash | hash_border_image_slice_center
static PropertyHash | hash_border_image_slice_left
static PropertyHash | hash_border_image_slice_right
static PropertyHash | hash_border_image_slice_top
static PropertyHash | hash_border_image_source
static PropertyHash | hash_border_image_width_bottom
static PropertyHash | hash_border_image_width_left
static PropertyHash | hash_border_image_width_right
static PropertyHash | hash_border_image_width_top
static PropertyHash | hash_border_left_color
static PropertyHash | hash_border_left_style
static PropertyHash | hash_border_left_width
static PropertyHash | hash_border_right_color
static PropertyHash | hash_border_right_style
static PropertyHash | hash_border_right_width
static PropertyHash | hash_border_top_color
static PropertyHash | hash_border_top_left_radius_x
static PropertyHash | hash_border_top_left_radius_y
static PropertyHash | hash_border_top_right_radius_x
static PropertyHash | hash_border_top_right_radius_y
static PropertyHash | hash_border_top_style
static PropertyHash | hash_border_top_width
static PropertyHash | hash_bottom
static PropertyHash | hash_box_shadow
static PropertyHash | hash_box_shadow_blur_radius
static PropertyHash | hash_box_shadow_color
static PropertyHash | hash_box_shadow_horizontal_offset
static PropertyHash | hash_box_shadow_spread_distance
static PropertyHash | hash_box_shadow_style
static PropertyHash | hash_box_shadow_vertical_offset
static PropertyHash | hash_color
static PropertyHash | hash_flex_basis
static PropertyHash | hash_flex_direction
static PropertyHash | hash_flex_grow
static PropertyHash | hash_flex_shrink
static PropertyHash | hash_flex_wrap
static PropertyHash | hash_font_family
static PropertyHash | hash_font_family_names
static PropertyHash | hash_font_family_names_X0
static PropertyHash | hash_font_size
static PropertyHash | hash_font_style
static PropertyHash | hash_font_variant
static PropertyHash | hash_font_weight
static PropertyHash | hash_height
static PropertyHash | hash_justify_content
static PropertyHash | hash_layout
static PropertyHash | hash_left
static PropertyHash | hash_letter_spacing
static PropertyHash | hash_line_height
static PropertyHash | hash_margin_bottom
static PropertyHash | hash_margin_left
static PropertyHash | hash_margin_right
static PropertyHash | hash_margin_top
static PropertyHash | hash_max_height
static PropertyHash | hash_max_width
static PropertyHash | hash_min_height
static PropertyHash | hash_min_width
static PropertyHash | hash_order
static PropertyHash | hash_outline_color
static PropertyHash | hash_outline_style
static PropertyHash | hash_outline_width
static PropertyHash | hash_padding_bottom
static PropertyHash | hash_padding_left
static PropertyHash | hash_padding_right
static PropertyHash | hash_padding_top
static PropertyHash | hash_position
static PropertyHash | hash_right
static PropertyHash | hash_text_align
static PropertyHash | hash_text_decoration_blink
static PropertyHash | hash_text_decoration_line_through
static PropertyHash | hash_text_decoration_overline
static PropertyHash | hash_text_decoration_underline
static PropertyHash | hash_text_indent
static PropertyHash | hash_text_transform
static PropertyHash | hash_top
static PropertyHash | hash_visibility
static PropertyHash | hash_width
static PropertyHash | hash_word_spacing
static PropertyHash | hash_z_index
static const unsigned int | scramble_value = 16777619U

## Constructor & Destructor Documentation

## ◆ PropertyHash() [1/2]

clan::PropertyHash::PropertyHash | ( | const char * | property_name | ) |

## ◆ PropertyHash() [2/2]

clan::PropertyHash::PropertyHash | ( | const std::string & | property_name | ) |
| inline

## Member Function Documentation

## ◆ append()

PropertyHash & clan::PropertyHash::append | ( | const char * | text | ) |

## ◆ append_index()

PropertyHash & clan::PropertyHash::append_index | ( | int | value | ) |

## ◆ operator!=()

bool clan::PropertyHash::operator!= | ( | const PropertyHash & | that | ) | const
| inline

References hash.

## ◆ operator<()

bool clan::PropertyHash::operator< | ( | const PropertyHash & | that | ) | const
| inline

References hash.

## ◆ operator<=()

bool clan::PropertyHash::operator<= | ( | const PropertyHash & | that | ) | const
| inline

References hash.

## ◆ operator==()

bool clan::PropertyHash::operator== | ( | const PropertyHash & | that | ) | const
| inline

References hash.

## Member Data Documentation

## ◆ hash

unsigned int clan::PropertyHash::hash

Referenced by operator!=(), operator<(), operator<=(), and operator==().

## ◆ hash__clan_font_rendering

PropertyHash clan::PropertyHash::hash__clan_font_rendering
| static

## ◆ hash_align_content

PropertyHash clan::PropertyHash::hash_align_content
| static

## ◆ hash_align_items

PropertyHash clan::PropertyHash::hash_align_items
| static

## ◆ hash_align_self

PropertyHash clan::PropertyHash::hash_align_self
| static

## ◆ hash_background_attachment

PropertyHash clan::PropertyHash::hash_background_attachment
| static

## ◆ hash_background_clip

PropertyHash clan::PropertyHash::hash_background_clip
| static

## ◆ hash_background_color

PropertyHash clan::PropertyHash::hash_background_color
| static

## ◆ hash_background_image

PropertyHash clan::PropertyHash::hash_background_image
| static

## ◆ hash_background_origin

PropertyHash clan::PropertyHash::hash_background_origin
| static

## ◆ hash_background_position

PropertyHash clan::PropertyHash::hash_background_position
| static

## ◆ hash_background_position_x

PropertyHash clan::PropertyHash::hash_background_position_x
| static

## ◆ hash_background_position_y

PropertyHash clan::PropertyHash::hash_background_position_y
| static

## ◆ hash_background_repeat

PropertyHash clan::PropertyHash::hash_background_repeat
| static

## ◆ hash_background_repeat_x

PropertyHash clan::PropertyHash::hash_background_repeat_x
| static

## ◆ hash_background_repeat_y

PropertyHash clan::PropertyHash::hash_background_repeat_y
| static

## ◆ hash_background_size

PropertyHash clan::PropertyHash::hash_background_size
| static

## ◆ hash_background_size_x

PropertyHash clan::PropertyHash::hash_background_size_x
| static

## ◆ hash_background_size_y

PropertyHash clan::PropertyHash::hash_background_size_y
| static

## ◆ hash_border_bottom_color

PropertyHash clan::PropertyHash::hash_border_bottom_color
| static

## ◆ hash_border_bottom_left_radius_x

PropertyHash clan::PropertyHash::hash_border_bottom_left_radius_x
| static

## ◆ hash_border_bottom_left_radius_y

PropertyHash clan::PropertyHash::hash_border_bottom_left_radius_y
| static

## ◆ hash_border_bottom_right_radius_x

PropertyHash clan::PropertyHash::hash_border_bottom_right_radius_x
| static

## ◆ hash_border_bottom_right_radius_y

PropertyHash clan::PropertyHash::hash_border_bottom_right_radius_y
| static

## ◆ hash_border_bottom_style

PropertyHash clan::PropertyHash::hash_border_bottom_style
| static

## ◆ hash_border_bottom_width

PropertyHash clan::PropertyHash::hash_border_bottom_width
| static

## ◆ hash_border_image_outset_bottom

PropertyHash clan::PropertyHash::hash_border_image_outset_bottom
| static

## ◆ hash_border_image_outset_left

PropertyHash clan::PropertyHash::hash_border_image_outset_left
| static

## ◆ hash_border_image_outset_right

PropertyHash clan::PropertyHash::hash_border_image_outset_right
| static

## ◆ hash_border_image_outset_top

PropertyHash clan::PropertyHash::hash_border_image_outset_top
| static

## ◆ hash_border_image_repeat_x

PropertyHash clan::PropertyHash::hash_border_image_repeat_x
| static

## ◆ hash_border_image_repeat_y

PropertyHash clan::PropertyHash::hash_border_image_repeat_y
| static

## ◆ hash_border_image_slice_bottom

PropertyHash clan::PropertyHash::hash_border_image_slice_bottom
| static

## ◆ hash_border_image_slice_center

PropertyHash clan::PropertyHash::hash_border_image_slice_center
| static

## ◆ hash_border_image_slice_left

PropertyHash clan::PropertyHash::hash_border_image_slice_left
| static

## ◆ hash_border_image_slice_right

PropertyHash clan::PropertyHash::hash_border_image_slice_right
| static

## ◆ hash_border_image_slice_top

PropertyHash clan::PropertyHash::hash_border_image_slice_top
| static

## ◆ hash_border_image_source

PropertyHash clan::PropertyHash::hash_border_image_source
| static

## ◆ hash_border_image_width_bottom

PropertyHash clan::PropertyHash::hash_border_image_width_bottom
| static

## ◆ hash_border_image_width_left

PropertyHash clan::PropertyHash::hash_border_image_width_left
| static

## ◆ hash_border_image_width_right

PropertyHash clan::PropertyHash::hash_border_image_width_right
| static

## ◆ hash_border_image_width_top

PropertyHash clan::PropertyHash::hash_border_image_width_top
| static

## ◆ hash_border_left_color

PropertyHash clan::PropertyHash::hash_border_left_color
| static

## ◆ hash_border_left_style

PropertyHash clan::PropertyHash::hash_border_left_style
| static

## ◆ hash_border_left_width

PropertyHash clan::PropertyHash::hash_border_left_width
| static

## ◆ hash_border_right_color

PropertyHash clan::PropertyHash::hash_border_right_color
| static

## ◆ hash_border_right_style

PropertyHash clan::PropertyHash::hash_border_right_style
| static

## ◆ hash_border_right_width

PropertyHash clan::PropertyHash::hash_border_right_width
| static

## ◆ hash_border_top_color

PropertyHash clan::PropertyHash::hash_border_top_color
| static

## ◆ hash_border_top_left_radius_x

PropertyHash clan::PropertyHash::hash_border_top_left_radius_x
| static

## ◆ hash_border_top_left_radius_y

PropertyHash clan::PropertyHash::hash_border_top_left_radius_y
| static

## ◆ hash_border_top_right_radius_x

PropertyHash clan::PropertyHash::hash_border_top_right_radius_x
| static

## ◆ hash_border_top_right_radius_y

PropertyHash clan::PropertyHash::hash_border_top_right_radius_y
| static

## ◆ hash_border_top_style

PropertyHash clan::PropertyHash::hash_border_top_style
| static

## ◆ hash_border_top_width

PropertyHash clan::PropertyHash::hash_border_top_width
| static

## ◆ hash_bottom

PropertyHash clan::PropertyHash::hash_bottom
| static

## ◆ hash_box_shadow

PropertyHash clan::PropertyHash::hash_box_shadow
| static

## ◆ hash_box_shadow_blur_radius

PropertyHash clan::PropertyHash::hash_box_shadow_blur_radius
| static

## ◆ hash_box_shadow_color

PropertyHash clan::PropertyHash::hash_box_shadow_color
| static

## ◆ hash_box_shadow_horizontal_offset

PropertyHash clan::PropertyHash::hash_box_shadow_horizontal_offset
| static

## ◆ hash_box_shadow_spread_distance

PropertyHash clan::PropertyHash::hash_box_shadow_spread_distance
| static

## ◆ hash_box_shadow_style

PropertyHash clan::PropertyHash::hash_box_shadow_style
| static

## ◆ hash_box_shadow_vertical_offset

PropertyHash clan::PropertyHash::hash_box_shadow_vertical_offset
| static

## ◆ hash_color

PropertyHash clan::PropertyHash::hash_color
| static

## ◆ hash_flex_basis

PropertyHash clan::PropertyHash::hash_flex_basis
| static

## ◆ hash_flex_direction

PropertyHash clan::PropertyHash::hash_flex_direction
| static

## ◆ hash_flex_grow

PropertyHash clan::PropertyHash::hash_flex_grow
| static

## ◆ hash_flex_shrink

PropertyHash clan::PropertyHash::hash_flex_shrink
| static

## ◆ hash_flex_wrap

PropertyHash clan::PropertyHash::hash_flex_wrap
| static

## ◆ hash_font_family

PropertyHash clan::PropertyHash::hash_font_family
| static

## ◆ hash_font_family_names

PropertyHash clan::PropertyHash::hash_font_family_names
| static

## ◆ hash_font_family_names_X0

PropertyHash clan::PropertyHash::hash_font_family_names_X0
| static

## ◆ hash_font_size

PropertyHash clan::PropertyHash::hash_font_size
| static

## ◆ hash_font_style

PropertyHash clan::PropertyHash::hash_font_style
| static

## ◆ hash_font_variant

PropertyHash clan::PropertyHash::hash_font_variant
| static

## ◆ hash_font_weight

PropertyHash clan::PropertyHash::hash_font_weight
| static

## ◆ hash_height

PropertyHash clan::PropertyHash::hash_height
| static

## ◆ hash_justify_content

PropertyHash clan::PropertyHash::hash_justify_content
| static

## ◆ hash_layout

PropertyHash clan::PropertyHash::hash_layout
| static

## ◆ hash_left

PropertyHash clan::PropertyHash::hash_left
| static

## ◆ hash_letter_spacing

PropertyHash clan::PropertyHash::hash_letter_spacing
| static

## ◆ hash_line_height

PropertyHash clan::PropertyHash::hash_line_height
| static

## ◆ hash_margin_bottom

PropertyHash clan::PropertyHash::hash_margin_bottom
| static

## ◆ hash_margin_left

PropertyHash clan::PropertyHash::hash_margin_left
| static

## ◆ hash_margin_right

PropertyHash clan::PropertyHash::hash_margin_right
| static

## ◆ hash_margin_top

PropertyHash clan::PropertyHash::hash_margin_top
| static

## ◆ hash_max_height

PropertyHash clan::PropertyHash::hash_max_height
| static

## ◆ hash_max_width

PropertyHash clan::PropertyHash::hash_max_width
| static

## ◆ hash_min_height

PropertyHash clan::PropertyHash::hash_min_height
| static

## ◆ hash_min_width

PropertyHash clan::PropertyHash::hash_min_width
| static

## ◆ hash_order

PropertyHash clan::PropertyHash::hash_order
| static

## ◆ hash_outline_color

PropertyHash clan::PropertyHash::hash_outline_color
| static

## ◆ hash_outline_style

PropertyHash clan::PropertyHash::hash_outline_style
| static

## ◆ hash_outline_width

PropertyHash clan::PropertyHash::hash_outline_width
| static

## ◆ hash_padding_bottom

PropertyHash clan::PropertyHash::hash_padding_bottom
| static

## ◆ hash_padding_left

PropertyHash clan::PropertyHash::hash_padding_left
| static

## ◆ hash_padding_right

PropertyHash clan::PropertyHash::hash_padding_right
| static

## ◆ hash_padding_top

PropertyHash clan::PropertyHash::hash_padding_top
| static

## ◆ hash_position

PropertyHash clan::PropertyHash::hash_position
| static

## ◆ hash_right

PropertyHash clan::PropertyHash::hash_right
| static

## ◆ hash_text_align

PropertyHash clan::PropertyHash::hash_text_align
| static

## ◆ hash_text_decoration_blink

PropertyHash clan::PropertyHash::hash_text_decoration_blink
| static

## ◆ hash_text_decoration_line_through

PropertyHash clan::PropertyHash::hash_text_decoration_line_through
| static

## ◆ hash_text_decoration_overline

PropertyHash clan::PropertyHash::hash_text_decoration_overline
| static

## ◆ hash_text_decoration_underline

PropertyHash clan::PropertyHash::hash_text_decoration_underline
| static

## ◆ hash_text_indent

PropertyHash clan::PropertyHash::hash_text_indent
| static

## ◆ hash_text_transform

PropertyHash clan::PropertyHash::hash_text_transform
| static

## ◆ hash_top

PropertyHash clan::PropertyHash::hash_top
| static

## ◆ hash_visibility

PropertyHash clan::PropertyHash::hash_visibility
| static

## ◆ hash_width

PropertyHash clan::PropertyHash::hash_width
| static

## ◆ hash_word_spacing

PropertyHash clan::PropertyHash::hash_word_spacing
| static

## ◆ hash_z_index

PropertyHash clan::PropertyHash::hash_z_index
| static

## ◆ scramble_value

const unsigned int clan::PropertyHash::scramble_value = 16777619U
| static

The documentation for this class was generated from the following file:

- property_hash.h